%Different cosine function
clear;
close all hidden;

printPaperPosition = [1   10   24  8]; %[left, bottom, width, height]

sr = 1024;
t=(0:1:sr)/sr;


figure;
%w=8; theta=0; ampl=1;
w=16; theta=0; ampl=1;
f=ampl*cos(2*pi*w*t+theta);		
plot(t,f);               
axis([0,1,-1.4,1.4])
title(sprintf('x(t) = cos(2*pi*w*t), w=%g',w));
%xlabel('time t')
%title('\omega=1/256, \theta=0, A=1')
%set(gcf,'PaperPosition',printPaperPosition);
%print('-dtiff','Sampling01');

      
figure;
plot(t,f);      
axis([0,1,-1.4,1.4])
hold;
sr = 50;
tsr = (0:1:sr)/sr;
fsr=ampl*cos(2*pi*w*tsr+theta);
stem(tsr,fsr,'r');
title(sprintf('x(t) = cos(2*pi*w*t), w=%g, sampled at %d Hz',w, sr));
%set(gcf,'PaperPosition',printPaperPosition);
%print('-dtiff','Sampling02');



figure;
plot(t,f);      
axis([0,1,-1.4,1.4])
hold;
sr = 32;
tsr = (0:1:sr)/sr;
fsr=ampl*cos(2*pi*w*tsr+theta);
stem(tsr,fsr,'r');
title(sprintf('x(t) = cos(2*pi*w*t), w=%g, sampled at %d Hz',w, sr));
%set(gcf,'PaperPosition',printPaperPosition);
%print('-dtiff','Sampling03');



figure;
plot(t,f);      
axis([0,1,-1.4,1.4])
hold;
sr = 16;
tsr = (0:1:sr)/sr;
fsr=ampl*cos(2*pi*w*tsr+theta);
stem(tsr,fsr,'r');
title(sprintf('x(t) = cos(2*pi*w*t), w=%g, sampled at %d Hz',w, sr));
%set(gcf,'PaperPosition',printPaperPosition);
%print('-dtiff','Sampling04');



figure;
plot(t,f);      
axis([0,1,-1.4,1.4])
hold;
sr = 10;
tsr = (0:1:sr)/sr;
fsr=ampl*cos(2*pi*w*tsr+theta);
stem(tsr,fsr,'r');
title(sprintf('x(t) = cos(2*pi*w*t), w=%g, sampled at %d Hz',w, sr));
%set(gcf,'PaperPosition',printPaperPosition);
%print('-dtiff','Sampling05');



