%Different cosine function
clear;
close all hidden;

t=(0:1:4096)/256;

subplot(2,2,1)
w=1;theta=0; ampl=1;
f=ampl*sin(2*pi*(w*t-theta));		
plot(t,f)               
axis([0,2,-1.6,1.6])
%xlabel('time t')
set(gca,'xtick',[])
title('\omega=1, \theta=0, A=1')
% sound(repmat(f,1,1),22050)
                        
subplot(2,2,2)
w=3; theta=0; ampl=1;
g=ampl*sin(2*pi*(w*t-theta));
plot(t,g)               
axis([0,2,-1.6,1.6])
%xlabel('time t')
set(gca,'xtick',[])
title('\omega=3, \theta=0, A=1')
% sound(repmat(g,1,1),22050)
                        
                        
subplot(2,2,3)
w=1; theta=-0.25; ampl=1.4;
h=ampl*sin(2*pi*(w*t-theta));	
plot(t,h)               
axis([0,2,-1.6,1.6])
%xlabel('time t')
title('\omega=1, \theta=0.25, A=1.4')
% sound(repmat(h,1,1),22050)
                        
subplot(2,2,4)
w=3; theta=0.5; ampl=0.8;
s=ampl*sin(2*pi*(w*t-theta));	
plot(t,s)               
axis([0,2,-1.6,1.6])
%xlabel('time t')
title('\omega=3, \theta=0.5, A=0.8')
% sound(repmat(s,1,1),22050)


printPaperPosition = [-1   10   24  8]; %[left, bottom, width, height]
printFile = 'fig_signal_sine.eps';
set(gcf,'PaperPosition',printPaperPosition); 
print('-depsc2',strcat(printFile));
